sha256 stringlengths 64 64 | language stringclasses 27
values | size int32 1 491k | lines int32 1 21.8k | content stringlengths 1 200k |
|---|---|---|---|---|
89fdaa850e1133fbd5df3f8bacf174adea1c673d6a593576a496d7084acff075 | Shell | 731 | 16 | #!/bin/bash
mkdir /tmp/zsl_validation
cd /tmp/zsl_validation/
cp ~/PycharmProjects/reticula/data/gtex/input/edges.txt ./
cp ~/PycharmProjects/reticula/data/gtex/input/zsl_gtex_* ./
cp ~/PycharmProjects/reticula/data/tcga/input/zsl_tcga_* ./
cp ~/PycharmProjects/reticula/src/sh/prepare_mana_env.sh ./
cp ~/PycharmProjec... |
66eaf8457185f5f9928213df93ce47b944e6f92f1f7caabeea6fa0a88350bc4b | Shell | 732 | 36 | #!/bin/bash
## Software
bamcoverage="/opt/ohpc/Taiwania3/pkg/biology/deepTools/deepTools_v3.3.1/bin/bamCoverage"
bigwig2bdg="/staging/biology/ls807terra/0_Programs/UCSC_tools/bigWigToBedGraph"
## Inputs
BAM=$1
## User variables
ncore=$2
outdir=$3
expID=$4
# Do once without strand
$bamcoverage \
-b $BAM \
--normal... |
5b314b8876a94cac29a2d3822dc0eb327fc5dba60e0fe44394d7f204a24131e6 | Shell | 733 | 27 | #!/bin/bash
#SBATCH -A MST109178
#SBATCH -J BAM_merge
#SBATCH -p ngs92G
#SBATCH -c 14
#SBATCH --mem=92g
#SBATCH -o ./reports/mergeBamC.out.txt
#SBATCH -e ./reports/mergeBamC_err.txt
# Software
samtool="/opt/ohpc/Taiwania3/pkg/biology/SAMTOOLS/SAMTOOLS_v1.13/bin/samtools"
bamcoverage="/opt/ohpc/Taiwania3/pkg/biology/de... |
c79aec1f9e154efd167411e77b70524476d23dabd38b5a1312d19540fc1a98f0 | Shell | 733 | 29 | #!/bin/bash
## Build docs for the JVM packages and package it in a tarball
## Note: this script assumes that the user has already built libxgboost4j.so
## and place it in the lib/ directory.
set -euo pipefail
if [[ -z ${BRANCH_NAME:-} ]]
then
echo "Make sure to define environment variable BRANCH_NAME."
exit 1
fi
... |
6e455e78b7f502aed5a235f2e1242504367cbcc4a4452ebc7c8763027cbb650e | Shell | 742 | 28 | #!/bin/bash
#SBATCH -A MST109178
#SBATCH -J YARN
#SBATCH -p ngs186G
#SBATCH -c 28
#SBATCH --mem=186g
#SBATCH -o YARN_out.txt
#SBATCH -e YARN_err.txt
# Step1. Summary counts in a table.
./01_summaryCounts.R -c ../counts/ -o ../meta/raw_counts_table.csv -r ../meta/TERRA_repeat_table.csv -s ../meta/TERRA_subtelo_table.cs... |
a760cc6de5208f93af72f298d59f8ec17abe0817e3716f33f028ab202f355e88 | Shell | 755 | 14 | #!/bin/bash
experiments=('ERN' 'LRP' 'MMN' 'N170' 'N2pc' 'N400' 'P3')
subjects=('sub-001' 'sub-002' 'sub-003' 'sub-004' 'sub-005' 'sub-006' 'sub-007' 'sub-008' 'sub-009' 'sub-010' 'sub-011' 'sub-012' 'sub-013' 'sub-014' 'sub-015' 'sub-016' 'sub-017' 'sub-018' 'sub-019' 'sub-020' 'sub-021' 'sub-022' 'sub-023' 'sub-02... |
9e23701b48ade59cc182ca411e61f653bf83db2abcd55d8e320d2ce106349198 | Shell | 759 | 25 | set -e
cargo clean
cargo build --release --benches --target wasm32-wasi --features simd_wasm
# binaryen wasm-opt pass
for f in target/wasm32-wasi/*/deps/*.wasm; do
# extreme inlining
wasm-opt --enable-simd --enable-sign-ext -O4 --inlining-optimizing -ifwl -ocimfs 300 -fimfs 300 -aimfs 20 -o $f.opt $f
echo... |
c2d3edb9a8d7d9af0c04a4732fd52bf4b9520d9dbcb146ac9ecec0562c469b70 | Shell | 759 | 20 | #!/bin/bash
# Define file name prefixes
TEST_FILE="CybORG/Tests/test_sim/test_Acceptance/test_cc4/test_heuristic_agents.py"
PROFILE_PREFIX="test_profile"
DOT_OUTPUT_PREFIX="dot_output"
SVG_OUTPUT_PREFIX="profile_graph"
echo "Run cProfile..."
python -m cProfile -o "${PROFILE_PREFIX}.pstats" -m pytest "${TEST_FILE}"
e... |
8eb8d4feab7be5af7b6ed5915fadb1a5fe1eb7c38ead3764b9995ce3be6d39ed | Shell | 760 | 15 | echo "Building fastCover dictionary with in=../../lib/common f=20 out=dict1"
./main in=../../../lib/common f=20 out=dict1
zstd -be3 -D dict1 -r ../../../lib/common -q
echo "Building fastCover dictionary with in=../../lib/common k=500 d=6 f=24 out=dict2 dictID=100 maxdict=140000"
./main in=../../../lib/common k=500 d=6 ... |
e0faf0c86ac5832149fb77007a369676cf6180654e806170f503b373a1aa6f1a | Shell | 762 | 18 | ### 1. need to run in the spatial environment
### 2. need to put spatial.txt file in the same directory
in_image="Spnb70_ROI.png" # png image file
img_resolution_smaller=1300 # change this based on image resolutions, use smaller resolution
###
block_size_threshold=35 # default value is 35. block size for adaptiv... |
0fa5fce3b0309a50f3a356eb18cebed6558ad047579913c550143ad4172373dd | Shell | 763 | 26 | #!/bin/bash -l
#SBATCH --job-name=dtld
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=8
#SBATCH --time=12:00:00
#SBATCH --partition=standard
#SBATCH -o ./log/datalad_%A_%a.o
#SBATCH -e ./log/datalad_%A_%a.e
#SBATCH --account=DBIC
#SBATCH --array=11-17%3
cd /dartfs-hpc/rc/lab/C/CANlab/labdata/data/spacetop/dartmouth
sour... |
fbc4903cded906e2616b03b77b9690b5dd52abae95dcaf48181593e7d932ec0c | Shell | 769 | 30 | #!/bin/bash
set -euo pipefail
if [[ -z "${GITHUB_SHA:-}" ]]
then
echo "Make sure to set environment variable GITHUB_SHA"
exit 1
fi
source ops/pipeline/classify-git-branch.sh
source ops/pipeline/get-docker-registry-details.sh
source ops/pipeline/get-image-tag.sh
IMAGE_URI=${DOCKER_REGISTRY_URL}/xgb-ci.gpu_build_... |
f8442186a2858f359a30e6cfa1d0f3a7ee9986f1ceac2aa1d29a15e1ca2d4fd9 | Shell | 771 | 13 | #!/bin/bash
experiments=('ERN' 'LRP' 'MMN' 'N170' 'N2pc' 'N400' 'P3')
subjects=('sub-001' 'sub-002' 'sub-003' 'sub-004' 'sub-005' 'sub-006' 'sub-007' 'sub-008' 'sub-009' 'sub-010' 'sub-011' 'sub-012' 'sub-013' 'sub-014' 'sub-015' 'sub-016' 'sub-017' 'sub-018' 'sub-019' 'sub-020' 'sub-021' 'sub-022' 'sub-023' 'sub-024... |
72aa295d4b3bbbf766717b5fc53b0156b3d3e7c9e3c7cc7d68a3b4e235f8c201 | Shell | 772 | 33 | #!/bin/sh
# enable C compilation in R
CFLAGS_OLD=$CFLAGS
export CFLAGS_OLD
CFLAGS="$(gsl-config --cflags) ${CFLAGS_OLD}"
export CFLAGS
LDFLAGS_OLD=$LDFLAGS
export LDFLAGS_OLD
LDFLAGS="$(gsl-config --libs) ${LDFLAGS_OLD}"
export LDFLAGS
# Set rpy2 library path
LD_LIBRARY_PATH_OLD=$LD_LIBRARY_PATH
export LD_LIBRARY_P... |
0de63c8e429539ba2bdaf701f3c24449c9e5bc87433366c92a19d55ada29018a | Shell | 777 | 16 | #download from https://myersgroup.github.io/relate/#Binaries. we used RELATE 1.8
mkdir -p ancestral
cd ancestral
cat <(echo '>chr1') <(printf 'A%.0s' {1..248956422}) <(echo)|fold -s -w 100 | gzip > chr1.fa.gz
cd ..
mkdir -p map
cd map
wget https://github.com/odelaneau/shapeit4/raw/refs/heads/master/maps/genetic_maps.b... |
197a3d7c2ec1a6186ae6098167dd9e90c511e847b83b78149ca02d19ef0111fa | Shell | 783 | 30 | #!/bin/bash
set -x -e
echo "START TIME: $(date)"
BIN_DIR=/cognitive_comp/ganruyi/experiments/randeng_t5_char_57M/randeng_t5_char_57M
if [ ! -d ${BIN_DIR} ];then
mkdir ${BIN_DIR}
echo ${BIN_DIR} created!!!!!!!!!!!!!!
else
echo ${BIN_DIR} exist!!!!!!!!!!!!!!!
fi
export TORCH_EXTENSIONS_DIR=/cognitive_comp/ganruyi... |
f1b5f61cf7a3054d83135a50bb14c244466f2041163ec0f613feeb13e7914c15 | Shell | 786 | 27 | #!/bin/bash
#BSUB -J merged_bed
#BSUB -o logs/narrowPeak_to_bed.%J.out
#BSUB -e logs/narrowPeak_to_bed.%J.err
#BSUB -n 12
#BSUB -R rusage[mem=50]
mkdir -p logs
#directories
merged_macs2_dir="merged_filtered_macs2"
output_dir="merged_filtered_bed"
#make output directory if it doesn't exist
mkdir -p "$output_dir"
# ... |
9b9b80f36f57c3687e62dd3e0cc2fa1c3a69f5a7226a397d81c773dbd3642e19 | Shell | 793 | 23 | #!/bin/bash -l
#SBATCH --job-name=fdmean
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=4
#SBATCH --mem-per-cpu=20G
#SBATCH --time=02:00:00
#SBATCH -o ./logfd/fdmean_%A_%a.o
#SBATCH -e ./logfd/fdmean_%A_%a.e
#SBATCH --account=DBIC
#SBATCH --partition=standard
#SBATCH --array=1-100%30
conda activate spacetop_env
echo "SLU... |
a72fbd127d5cc5fe556818e33e844b762cc99aa5c5f4f1123f894a98ff2d7ba4 | Shell | 794 | 29 | # Create a workspace
mkdir -p medperf_tutorial
cd medperf_tutorial
# Download a clean, unpackaged demo dataset
url=https://storage.googleapis.com/medperf-storage/chestxray_tutorial/demo_data.tar.gz
filename=$(basename $url)
if [ -x "$(which wget)" ]; then
wget $url
elif [ -x "$(which curl)" ]; then
curl -o $f... |
0654549e35a7441fe99ddeb89bfd1f39cdb8a1ed6de8a4c5a2a88ea9569f458d | Shell | 808 | 13 | DIR=$(dirname "$(realpath "$0")")
medperf container run_test --container ./container_config.yaml \
--task prepare \
-o ./logs_prep.log \
--mounts "data_path=$DIR/workspace/input_data,labels_path=$DIR/workspace/input_labels,output_path=$DIR/workspace/prepared_data,output_labels_path=$DIR/workspace/prepared_l... |
95c12359fba4afb9e89b6050e89cf84d8bd00bd66d8d0ed2b79eef2dc6b067ec | Shell | 810 | 35 | #!/bin/bash
#SBATCH -J CENTaUR2
#SBATCH -p gpu_p
#SBATCH --qos gpu_long
#SBATCH --gres=gpu:1
#SBATCH --mem=160G
#SBATCH -t 96:00:00
#SBATCH --constraint=a100_80gb
#SBATCH --nice=10000
#SBATCH --cpus-per-task=20
source activate unsloth_env2
python finetune.py \
--seed 100 \
--model_name_or_path "unsloth/Meta-Llama-3.... |
7dbdfd8ca802d2528584c18661cad04e3c3c2dc742d52cc0d36be7b32aba4576 | Shell | 813 | 22 | #!/bin/bash -l
#SBATCH --job-name=plot
#SBATCH --nodes=1
#SBATCH --ntasks=8
#SBATCH --mem-per-cpu=8gb
#SBATCH --time=01:00:00
#SBATCH -o ./logplot/np_%A_%a.o
#SBATCH -e ./logplot/np_%A_%a.e
#SBATCH --account=DBIC
#SBATCH --partition=standard
#SBATCH --array=1-13%10
conda activate spacetop_env
echo "SLURMSARRAY: " ${SL... |
b8939ade51f67e69cfe8d44fbfd6652829e9421f44f34f36337a38cc7d2ef910 | Shell | 821 | 32 | #!/bin/bash
# Get list of subjects and runs from list_subject_runs_ALL.txt
#sub_runs=$(cat list_subject_runs_ALL.txt)
sub_runs="Sub17_run03"
# Get current directory
prj_dir=$(pwd)
# Loop through all subjects and runs
for sub_run in ${sub_runs}; do
# Get subject and run
sub=$(echo "$sub_run" | cut -d "_" -f 1... |
7ab743ff3e19956ac225f221e91155ab843d885d1ac4d6b7fd383720aeb685ad | Shell | 822 | 20 | mkdir -p ancestral
cd ancestral
wget https://ftp.ensembl.org/pub/release-105/fasta/ancestral_alleles/homo_sapiens_ancestor_GRCh38.tar.gz -nc
tar -xzvf homo_sapiens_ancestor_GRCh38.tar.gz
seq 22| awk '{system (" mv homo_sapiens_ancestor_GRCh38/homo_sapiens_ancestor_"$1".fa chr"$1".fa")}'
cd ..
mkdir -p map
cd map
wget ... |
7613ab1301d56223c92a8bd2796407d49962c624ab87c8570d294dcd2dc4d9fe | Shell | 828 | 26 | #!/usr/bin/bash
source activate espresso_v1.5.0
t=4
start_dir=$PWD
bam_dir=../map_genome
samples=(test)
rm samples.tsv &>/dev/null
for s in ${samples[@]}
do
echo -e "$bam_dir/$s.sorted.bam\t$s" >>samples.tsv
done
ln -s ../genome_chr22.fa genome.fa
ln -s ../annot_reduced.gtf annot.gtf
/usr/bin/time perl $(whic... |
4abba97efd4904535a6efbdd6a91b70b727e1437bdab02eb1495390fbcf3a2d0 | Shell | 835 | 24 | #!/bin/bash -l
#SBATCH --job-name=fdmean
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=4
#SBATCH --mem-per-cpu=20G
#SBATCH --time=02:00:00
#SBATCH -o ./logplot/GLM_%A_%a.o
#SBATCH -e ./logplot/GLM_%A_%a.e
#SBATCH --account=DBIC
#SBATCH --partition=standard
#SBATCH --array=4%10
conda activate spacetop_env
echo "SLURMSARR... |
4dccd37eaba139365fcb668470f7d6b639a3420b74e661bdb67a1e1d6fa2d09c | Shell | 839 | 31 | #!/bin/bash -l
#SBATCH --job-name=physio
#SBATCH --nodes=1
#SBATCH --task=1
#SBATCH --mem-per-cpu=8gb
#SBATCH --time=10:30:00
#SBATCH -o ./log/qcphysio02_%A_%a.o
#SBATCH -e ./log/qcphysio02_%A_%a.e
#SBATCH --account=DBIC
#SBATCH --partition=standard
#SBATCH --array=1-14%4
##14%5
conda activate biopac
# NOTE: User, ch... |
47fc6fba8c1d0497cb4caa1ad740f7d96a6a41e8adeb832abfaa8b4bf5199a33 | Shell | 844 | 25 | #!/bin/bash
# Get the current date and time
timestamp=$(date +"%Y-%m-%d_%H-%M-%S")
# Set the relevant directories
code_directory="INSERT/PATH/TO/PHIMO-MRM/CODE/DIRECTORY"
anaconda_directory="INSERT/PATH/TO/ANACONDA/DIRECTORY"
# Set the output filename with the timestamp
output_filename="$code_directory/iml-dl/result... |
c7f4c2c96227115974f140a26fcedb509420c47e2c6dbc04e023952cef376a81 | Shell | 844 | 38 | #!/bin/bash
############################################################################
# @ Filename : run.sh
# @ Description :
# @ Arguments :
# @ Date :
############################################################################
cd "$( cd "$(dirname "$0")" >/dev/null 2>&1 ; pwd -P )"
. loa... |
73b69a34b1b5f38021e4dfa0ba3df3bbebd3bf9d56f3785cdda692bf6f53a2fe | Shell | 847 | 34 | #!/bin/bash
SCRIPT_DIR=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )
# generate rename map
rename_map_file="${SCRIPT_DIR}/prototroch_rename.sed"
if [[ ! -f "$rename_map_file" ]]
then
for i in {1..12}
do
for ap in {A,P}
do
newnum=$(( $i + 1))
ech... |
bf4e74f0fc9ae47fefb7e0a4d36229c81a5c212669f676bf234b6636d294180e | Shell | 851 | 29 | #!/bin/bash
# turn on bash's job control
set -m
. /opt/bitnami/scripts/liblog.sh
# some debug for startup
info "EncoderMap's LDAP client spooling up."
info "Checking whether port 636 is open."
if nc -z openldap 636 ; then
info "Port is open."
else
error "Port is not open."
exit
fi
# write the password
info "W... |
67913752f63377aba5e5081e55fe93fbdd382200098e0d8276ef249049583b41 | Shell | 854 | 26 |
yolov5_path=/home/atom/MiRAI/submodules/yolov5
size=1920
docker run \
--gpus all \
--ipc=host \
-v $PWD/:/PWD \
-v /mnt:/mnt \
-v /home:/home \
atomscott/all-in-one:latest \
/bin/bash -c " \
cd $yolov5_path/ && \
python detect.py \
--device 1 \
--exist-ok \
... |
19a4d682bf8131388096627f556edfe23c2b457817560c03ffecb55bc212106a | Shell | 862 | 25 | #!/bin/bash -l
#SBATCH --job-name=fdmean
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=4
#SBATCH --mem-per-cpu=20G
#SBATCH --time=02:00:00
#SBATCH -o ./logplot/GLM_%A_%a.o
#SBATCH -e ./logplot/GLM_%A_%a.e
#SBATCH --account=DBIC
#SBATCH --partition=standard
#SBATCH --array=1-6
conda activate spacetop_env
echo "SLURMSARRA... |
a9a4030761b4eb1c9ae4e19d09d38a605e92693c727397f1b1b5dd17c0700c73 | Shell | 863 | 23 | #!/usr/bin/bash
t=4
max_indel=20
max_clip=200
min_idt=0.9
min_cov=95
min_mean_depth=1
ln -s ../out_transcript.gtf raw.gtf
ln -s ../../porechop_abi/test.trimmed.fastq.gz reads.fastq.gz
ln -s ../../genome_chr22.fa genome.fa
gffread -w asm.fa -g genome.fa raw.gtf
/usr/bin/time minimap2 -ax map-ont --secondary=no -t $t ... |
3520d825061b172d1f548d369b2ca72a0bf2787189b3547d0af2673f5b884233 | Shell | 864 | 32 | #!/bin/bash
#SBATCH --job-name=train_isos_net
#SBATCH --time=12:00:00
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=1
#SBATCH --gres=gpu:1
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=1
#SBATCH --output=train_isos_net-%j.out
#SBATCH --account=PAS0536
#SBATCH --mail-type=BEGIN,END,FAIL
module load cuda/11.8.0
source activa... |
6c196315881a02fefc8b0401ce4b78f30ff0a556df8f2189cca55aef36d3c42a | Shell | 864 | 48 |
name="test_local"
python main.py \
--seed 6 \
--n_runs 1 \
--use_cuda \
--out_file ../results/$name \
--task grid \
--save_data_to ../data/$name \
--save_vocab ../vocabs/vocab_$name.json \
--n_train 100 \
--n_val 2 \
--n_test 2 \
--n_symbols 5 \
--max_len 200 \
--lm_task masked \
--real_words \
--n_positions 1 \
--p_... |
47ac9cb76b239e221e9da86249d5380ef142d8231e7e96582f33460ca9c488fb | Shell | 877 | 18 | #!/bin/bash
# wrapper to run all multiverses for all subjects and experiments
# Exit immediately if any command fails
set -e
experiments=('ERN' 'LRP' 'MMN' 'N170' 'N2pc' 'N400' 'P3') #
subjects=('sub-001' 'sub-002' 'sub-003' 'sub-004' 'sub-005' 'sub-006' 'sub-007' 'sub-008' 'sub-009' 'sub-010' 'sub-011' 'sub-012' 's... |
322a43a0b58f2546222e8dfbb393b3747f4ece0a8378354455839ce2e7f06292 | Shell | 880 | 31 | #!/bin/bash
##############################################################################
# ClinVar download and import for cron job
##############################################################################
#cron
#0 6 * * 1 <path>/ClinVarForCron.sh
scriptdir= .
user=<user>
password=<password>
#download
w... |
06e046be2f58022558e47ed96093ff10e3f62fde8fa3c6ab2bc66ae059f4e3f3 | Shell | 884 | 34 | #!/bin/bash
set -e
##
## Usage: Run this from within the root of the repo.
##
if [[ "$(git describe)" == *-* ]]; then
echo "Error:" 1>&2
echo " Can't package a non-tagged commit." 1>&2
echo " Your current git commit isn't tagged with a proper version." 1>&2
echo " Try 'git tag -a' first" 1>&2
... |
a221c7aab4e631768a3e110d2d970a7f8426c8bd11eaaaf40e34e1a7c8481ee9 | Shell | 885 | 32 | #!/bin/bash
# Create a workspace
mkdir -p medperf_tutorial
cd medperf_tutorial
# Copy the data preparation container
cp -r ../examples/chestxray_tutorial/data_preparator data_preparator
# Copy the FL training container
cp -r ../examples/flower/fl/ fl_container
# Download sample training datasets (two collaborator d... |
8554b4e5d685d6fcc99ccdefa9375ea85d1ebe9c49896c1254a5224ed9710a92 | Shell | 887 | 36 | #!/bin/bash -l
#PBS -N mriqc_spacetop
#PBS -q default
#PBS -l nodes=1:ppn=16
#PBS -l walltime=12:00:00
#PBS -A DBIC
#PBS -t 15
#PBS -l mem=10gb
cd $PBS_O_WORKDIR
#echo "PBSARRAY: " ${PBS_ARRAYID}
CONTAINER_IMAGE=/dartfs-hpc/rc/lab/C/CANlab/modules/mriqc-0.14.2.sif
MAINDIR=/dartfs-hpc/rc/lab/C/CANlab/labdata/data/spa... |
a2fa7939ccd01de71bacd535e4a794c40f5c0af153ede008be7100af68b5544f | Shell | 887 | 28 | #!/bin/bash
set -eo pipefail
if [[ "$1" == "" ]] || [[ "$2" == "" ]]; then
echo "Usage: $0 <PROJECT_PATH> <WHEEL_PATH>"
exit 1
fi
PROJECT_PATH=$1
echo "PROJECT_PATH=$PROJECT_PATH"
WHEEL_PATH=$2
echo "WHEEL_PATH=$WHEEL_PATH"
export PYVER=$(python -c "import sys; print(''.join(map(str, sys.version_info[:2])) +... |
894f28e1dfa11692eb32ea65624c6267e6c77ff56bd88e649257624df20e9121 | Shell | 892 | 38 | #!/bin/bash
# turn on bash's job control
set -m
# load libs
. /sh_libs/liblog.sh
# loading gromacs
info "Starting tests for simulation_attender.py"
info "Staring general tests to ensure the environment is working."
info "Sourcing environment modules"
source /usr/share/Modules/init/profile.sh
info "Loading gromacs mo... |
d23eb1e8b83decc7006f5130cec4cda969b342a3dca7757c6b48d02591a7ffd0 | Shell | 894 | 32 | #!/bin/bash
# turn on bash's job control
set -m
# bring up sshd
/usr/sbin/sshd
# print uid
id
# wait for the sql-server to be available and add slurm to the database
MYSQL_ROOT_PASSWORD=sql_root_passw0rd
/wait-for-it.sh slurm-db.local.dev:3306 --strict -- echo "slurm-db.local.dev db(3306) is up" ; mysql -h slurm-db... |
62df3963a4701a42c3004051c2a96652cd42619f314c8f7e433d2e5d70414ea1 | Shell | 899 | 29 | set -e
LLVM_MCA=/usr/local/opt/llvm/bin/llvm-mca
#RUSTFLAGS="-g -Z asm-comments --emit llvm-ir,asm -C llvm-args=-x86-asm-syntax=intel -C target-cpu=native" cargo build --release --example profile --features mca
RUSTFLAGS="-Z asm-comments --emit llvm-ir,asm -C llvm-args=-x86-asm-syntax=intel" cargo build --release --e... |
b0103640ad6073a9acdab09f3db054c1e7b8639917705dd83270dbde50ee09ec | Shell | 899 | 40 | #!/bin/bash
#BSUB -J macs2_peak
#BSUB -o logs/macs2_peakcalling.%J.out
#BSUB -e logs/macs2_peakcalling.%J.err
#BSUB -n 12
#BSUB -R rusage[mem=50]
mkdir -p logs
mkdir -p macs2
. /usr/share/Modules/init/bash
module load modules modules-init
module load python
# install macs2
pip install macs2
#directories
merged_filt... |
f0646d7012472072f2a0714c933ffdc294b218081949f4206e70e54bfd793c8e | Shell | 902 | 35 | #!/bin/bash
## Test JVM packages with CUDA. Note: this script assumes that
## the user has already built libxgboost4j.so with CUDA support
## and place it in the lib/ directory.
## Note. This script takes in all inputs via environment variables.
INPUT_DOC=$(
cat <<-EOF
Inputs
- SCALA_VERSION: Scala version, either ... |
71212577c25ee21ca238233d259ca6d4ecec1b3367e2df93146f82a5e24e1af6 | Shell | 903 | 24 | PYTHONSCRIPT="import torch; torch.tensor([1.0, 2.0, 3.0, 4.0]).to('cuda')"
if [ "$1" = "start_aggregator" ] || [ "$1" = "generate_plan" ]; then
# no need for gpu, don't test cuda
python /mlcube_project/mlcube.py $@
else
echo "Testing which cuda version to use"
python -c "$PYTHONSCRIPT"
if [ "$?" -n... |
38c103b049cc250acf2becd5ca6370bb15d9808055c7b5a2ea0843738cb10b38 | Shell | 908 | 28 | #!/bin/sh
#$ -S /bin/bash
#$ -cwd
# for PCA
# qsub -pe def_slot 10 1_job_gwas.sh motion_cue_exit_intercept_female
ulimit -s unlimited
echo running on `hostname`
echo starting at
date
DATADIR=../../../../data/1_single_strain/gwas/
IND=${DATADIR}/prep/analyzed_inds.txt
PREFIX=$1
PHENO=${DATADIR}/pheno/df_out_${PREFIX}_... |
c9a05bb909044b767903337cf58fca18d4ffb2ef165cf4b07e106e29f5718676 | Shell | 908 | 13 | DIR=$(dirname "$(realpath "$0")")
medperf container run_test --container ./container_config.yaml \
--task prepare \
-o ./logs_prep.log \
--mounts "data_path=$DIR/workspace/input_data,labels_path=$DIR/workspace/input_labels,output_path=$DIR/workspace/prepared_data,output_labels_path=$DIR/workspace/prepared_l... |
a72e2d809405d8049bc6471c7c9cf2c18855576f719716aa9fdcb8521d4f226c | Shell | 909 | 39 | #!/bin/bash
set -e
set -x
PWD=$(pwd)
LOGS=$PWD/logs
mkdir -p $LOGS
cd ..
OFFSPRING_SIZE=100
MAX_NGEN=100
export IPYTHONDIR=${PWD}/.ipython
export IPYTHON_PROFILE=benchmark.${SLURM_JOBID}
ipcontroller --init --ip='*' --sqlitedb --ping=30000 --profile=${IPYTHON_PROFILE} &
sleep 10
srun --output="${LOGS}/engine_%j_%... |
7b6ccd53c5cc4ee0e92bf6f3623dc0e63474ce7e74985677b533010f8755bec6 | Shell | 914 | 39 | #!/usr/bin/bash
source activate isoquant_v3.3.1
t=4
bam_dir=../map_genome
samples=(test)
echo "#isoquant" >input_bam.txt
for s in ${samples[@]}
do
echo "$bam_dir/$s.sorted.bam:$s" >>input_bam.txt
done
ln -s ../genome_chr22.fa genome.fa
ln -s ../annot_reduced.gtf annot.gtf
/usr/bin/time isoquant.py \
--th... |
e169f5e1a7155c40d19b4339648ca2ec531cd330e141eb6f1f2e8bcc3a57aa32 | Shell | 915 | 18 | DIR=$(dirname "$(realpath "$0")")
sh clean.sh
medperf container run_test --container ./container_config.yaml \
--task trust \
--mounts "ca_config=$DIR/workspace/ca_config.json,pki_assets=$DIR/workspace/pki_assets"
sh clean.sh
medperf container run_test --container ./container_config.yaml \
--task get_serve... |
5182a9e3bcc4e7779501554e1faa994af27217c9b854911e3a0fc30984942a9d | Shell | 926 | 27 | #!/bin/sh
#
# Copyright 2011, Ben Langmead <langmea@cs.jhu.edu>
#
# This file is part of Bowtie 2.
#
# Bowtie 2 is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your o... |
be7c506e143ea7093d1b67558bab776c22a31ca46d39a2331da5f425c68fcb6f | Shell | 929 | 38 | #!/bin/bash
#SBATCH --job-name=test_isos_net
#SBATCH --time=01:00:00
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=1
#SBATCH --gres=gpu:1
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=1
#SBATCH --output=test_isos_net-%j.out
#SBATCH --account=PAS0536
#SBATCH --mail-type=BEGIN,END,FAIL
module load cuda/11.8.0
source activate... |
96a66e9368b23b3fb96a57ce57729f5053bb3dce084335d17c5bbe6cf65f3ef4 | Shell | 937 | 35 | #!/bin/bash -l
#PBS -N fmriprep_cnfrm
#PBS -q default
#PBS -l nodes=1:ppn=8
#PBS -l walltime=20:00:00
#PBS -m bea
cd $PBS_O_WORKDIR
SUBJ=${1}
# PARAMETERS
IMAGE=/dartfs-hpc/rc/lab/C/CANlab/modules/fmriprep-20.0.5.sif
MAINDIR=/dartfs-hpc/rc/lab/C/CANlab/labdata/data/conformity.01
BIDSDIR=${MAINDIR}/fontBIDS
OUTDIR=${M... |
adeca326e8e4068216c77f6a7d3fc2c0107d7f64ff66d67e9373a4aaedde4071 | Shell | 938 | 20 | #!/bin/bash
#SBATCH --job-name=bc190819chrom
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:2
#SBATCH --time=1440
#SBATCH --mem=50G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err # error file
#SBATCH --out... |
25a0dc66225394ec3bfb3fddcbde00e88ef4956e1c86411b00ae68ff5cc4645a | Shell | 940 | 20 | #!/bin/bash
#SBATCH --job-name=bc190429chrom
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:2
#SBATCH --time=1440
#SBATCH --mem=200G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err # error file
#SBATCH --ou... |
3c807ce38a5283ec7b21dd65d6cc9e1b4234aca631af915b95ab659de6fb3e3a | Shell | 940 | 42 | #!/bin/sh
SC3_BASE=ftp://hgdownload.cse.ucsc.edu/goldenPath/sacCer3/bigZips
F=chromFa.tar.gz
get() {
file=$1
if ! wget --version >/dev/null 2>/dev/null ; then
if ! curl --version >/dev/null 2>/dev/null ; then
echo "Please install wget or curl somewhere in your PATH"
exit 1
fi
curl -o `basename $1` $1
... |
7c6b819c9e43d9c31250feb26b6a7d326e092a7b58b7704c7302d5e067172c8b | Shell | 942 | 23 | #!/bin/bash -l
#SBATCH --job-name=plot
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=12
#SBATCH --mem-per-cpu=40G
#SBATCH --time=02:00:00
#SBATCH -o ./logplot/GLM_%A_%a.o
#SBATCH -e ./logplot/GLM_%A_%a.e
#SBATCH --account=DBIC
#SBATCH --partition=standard
#SBATCH --array=4%10
conda activate spacetop_env
echo "SLURMSARRA... |
dcc33e02993229697e64aff5f55b1c6ab784504f0dbd78d6267e1d226da61c43 | Shell | 947 | 38 | #!/bin/bash
# Copyright 2013-2023, Derrick Wood <dwood@cs.jhu.edu>
#
# This file is part of the Kraken 2 taxonomic sequence classification system.
# Copy specified file into a Kraken library
set -u # Protect against uninitialized vars.
set -e # Stop on error
LIBRARY_DIR="$KRAKEN2_DB_NAME/library"
if [ ! -e "$1" ... |
ccc54f7f7ac7db1dc8be246f39d873767b7736eeca84468b82297c7093fd0ddf | Shell | 949 | 47 | #!/bin/bash
if [[ $# -ne 1 ]]
then
echo "Usage: $0 [branch name]"
exit 1
fi
branch_name=$1
if [[ -z "${R_LIBS_USER}" ]];
then
export R_LIBS_USER=/tmp/rtmpdir
fi
set -euo pipefail
echo "R_LIBS_USER: ${R_LIBS_USER}"
if [[ ! -d ${R_LIBS_USER} ]]
then
echo "Make ${R_LIBS_USER} for installing temporary R p... |
354a638fcd22b9b8082ba1a04c7413becebe812ec8f8d577c7271d7879da1675 | Shell | 953 | 17 | $DIR=$(dirname "$0")
medperf container run_test --container ./container_config.yaml \
--task trust --allow_network \
--mounts "ca_config=$DIR/workspace/ca_config.json,pki_assets=$DIR/workspace/pki_assets"
medperf container run_test --container ./container_config.yaml \
--task get_client_cert -e MEDPERF_INP... |
bfa2fec6d090ea2e17a1feec370b495628e6e89361d11ec022238f52ea3fff6b | Shell | 954 | 43 | #!/bin/sh
CE10_BASE=ftp://hgdownload.cse.ucsc.edu/goldenPath/ce10/bigZips
F=chromFa.tar.gz
get() {
file=$1
if ! wget --version >/dev/null 2>/dev/null ; then
if ! curl --version >/dev/null 2>/dev/null ; then
echo "Please install wget or curl somewhere in your PATH"
exit 1
fi
curl -o `basename $1` $1
re... |
953580ef641e7711fbfe02ee4218d8edbcf02d0cb89c9b536b64e2c9ebea6ae8 | Shell | 956 | 34 | #!/bin/bash
# Copyright 2013-2023, Derrick Wood <dwood@cs.jhu.edu>
#
# This file is part of the Kraken 2 taxonomic sequence classification system.
# Build a 16S database from RDP data
set -u # Protect against uninitialized vars.
set -e # Stop on error
set -o pipefail # Stop on failures in non-final pipeline comma... |
ebbe4d85ce6491a5ee459dc027c58701be8ac6eb3278f08be90e745dfad4efcb | Shell | 957 | 27 | #!/bin/bash
# Stop and remove any running container named "vnc-quant-gui"
docker stop vnc-quant-gui &>/dev/null || true
docker rm vnc-quant-gui &>/dev/null || true
# Check if port 8501 is already in use and free it if necessary
if sudo ss -tuln | grep -q ":8501"; then
echo "Port 8501 is already in use. Freeing th... |
82caac589b49d00581fad212861082f90454f35ba9775285757690108a8dbf2c | Shell | 959 | 33 | #!/bin/bash
# Copyright 2013-2023, Derrick Wood <dwood@cs.jhu.edu>
#
# This file is part of the Kraken 2 taxonomic sequence classification system.
# Build a 16S database from Greengenes data
set -u # Protect against uninitialized vars.
set -e # Stop on error
set -o pipefail # Stop on failures in non-final pipelin... |
04c5f53a0ef990fb3f9cbe431c18e07e150b891606107bbb212170f750ee7807 | Shell | 961 | 45 | #!/bin/bash
#SBATCH --chdir={{ directory }}
#SBATCH --partition=single
#SBATCH --gres=gpu:4
#SBATCH --nodes=1
#SBATCH --time=120:00:00
#SBATCH --mem=50gb
#SBATCH --ntasks-per-node=16
#SBATCH --export=NONE
#SBATCH --mail-user={{ email }}
#SBATCH --mail-type=BEGIN,END
{{ module_loads }}
cd {{ directory }}
cmd="{{ comm... |
eb85639e661e4533813bb4f09dd65cd60fc9038b0141ba3f7572f85c3717247a | Shell | 961 | 41 | #!/bin/bash
#BSUB -J macs2_peak
#BSUB -o logs/macs2_peakcalling.%J.out
#BSUB -e logs/macs2_peakcalling.%J.err
#BSUB -n 12
#BSUB -R rusage[mem=50]
mkdir -p logs
mkdir -p macs2
. /usr/share/Modules/init/bash
module load modules modules-init
module load python
# install macs2
pip install macs2
#directories
#made new d... |
8144a35377c4da532f25b3094d96c8d575186f2129a204831e839f8cc620f20b | Shell | 970 | 29 | #!/bin/bash
set -ev
git clone https://github.com/matthew-brett/multibuild ~/multibuild
# shellcheck disable=SC1090
source ~/multibuild/osx_utils.sh
if [ "$TRAVIS_OS_NAME" = linux ]
then
# So we get all backports etc
bash <(wget -q -O- http://neuro.debian.net/_files/neurodebian-travis.sh)
sudo apt-get upd... |
1c36e5e0cb8234a69bb3bedc8c747adb38e46457c305f2ab0a5b72c9016d3fbe | Shell | 972 | 33 | #!/bin/bash
## Software
trim="/opt/ohpc/Taiwania3/pkg/biology/TrimGalore/TrimGalore_v0.6.3/trim_galore"
cutadapt="/opt/ohpc/Taiwania3/pkg/biology/Cutadapt/Cutadapt_v2.3/bin/cutadapt"
## User variables
expID=$1
outdir=$2
fq_path=$3
ncore=$4
# Gather read files (Incude file path)
reads_file=$(echo $(ls $fq_path | grep... |
752308d091a9ab773f8f26af0c63360646970b7f5eec11857aeaaf6490dd50de | Shell | 977 | 13 | #!/bin/bash
imp=0 #starting improvement is 0 so that it can at least go through one cycle
touch Narrowed.csv All.csv #To reuse already ran simulations. All.csv has all the run. Narrowed only has Newrange parameters
cp Startrange.csv Oldrange.csv #hardrange or Starting Range as you like to call it. move it the Oldrange ... |
a116cc47e6a7235732b162f386c0081515f88dc153281bcb0df771a122b3d9bd | Shell | 978 | 36 | #!/bin/bash -l
#SBATCH --job-name=physio
#SBATCH --nodes=1
#SBATCH --task=1
#SBATCH --mem-per-cpu=16gb
#SBATCH --time=05:30:00
#SBATCH -o ./log/physio02_%A_%a.o
#SBATCH -e ./log/physio02_%A_%a.e
#SBATCH --account=DBIC
#SBATCH --partition=standard
#SBATCH --array=1-14%5
conda activate physio
# NOTE: User, change param... |
a1adb6ff248fcb55a4cc6e720b900e2004143ea909acaa70abe036789173c041 | Shell | 981 | 9 | mmseqs align seqdb seqdb uc30_clu uc30_aln --comp-bias-corr 0 -a --threads 128
mmseqs convertalis seqdb seqdb uc30_aln uc30_aln.m8 --format-output query,target,fident,alnlen,mismatch,gapopen,qstart,qend,tstart,tend,evalue,bits,qseq,tseq --threads 16
awk '$1!=prev && $3 < 0.4 {print; prev=$1}' uc30_aln.m8 | shuf | head ... |
6db0fc1b165f2b49bb863280f16ec76a9e5690e1dc96193a10fb26462e17d11f | Shell | 988 | 29 | #!/usr/bin/bash
reads=../reads.fastq.gz
genome=../genome_chr22.fa
ref_annot=../annot_reduced.gtf
# Clean results before test
rm -r isorefiner_* &>/dev/null
isorefiner trim -r $reads
isorefiner map -r isorefiner_trimmed.fastq.gz -g $genome
# Run Mapping-based tools. The loop below can be parallelized.
for tool in... |
1d5189ca8ea7cc8be31aaeb6a451c83aa72789b204daa89ab2eb8f010f26f874 | Shell | 990 | 32 | #!/bin/bash
experiments=('ERN' 'LRP' 'MMN' 'N170' 'N2pc' 'N400' 'P3')
for experiment in "${experiments[@]}"; do
# Define the directories to process
directories=(
#"/ptmp/kroma/m4d/data/processed/"
#"/ptmp/kroma/m4d/models/eegnet/"
#"/u/kroma/m4d/models/sliding/"
"/ptmp/k... |
86151b459e32ac971239a6ac740aaa8c150698faea54dffe5bfcbcb5f2b60195 | Shell | 995 | 30 | #!/bin/sh
# Check that -Sz works.
# Copyright 2014-2016 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) an... |
a0dab49f58fbe3e25284f891bbe2722e238f221939520ab32b2060f29e0f8ac3 | Shell | 998 | 38 | #!/bin/bash
#Example script for running run_classifier.py
for EPOCHS in 3 4 5 ; do
for LR in 2e-5 3e-5 5e-5; do
for BATCH_SZ in 16 32 ; do
MAX_SEQ_LEN=150
DATA_DIR=PATH/TO/MEDNLI/DATA/ #Modify this to be the path to the MedNLI data
OUTPUT_DIR=PATH/TO/OUTPUT/DIR/ #Modify this to be the path to your outp... |
1ff6e393d488ae814950f8c8ae4b2b760cecaa634116e7c544da2e749405ad8c | Shell | 999 | 39 | #!/bin/bash
## Test C API demos
set -euox pipefail
# Build and install XGBoost static library (libxgboost.a)
mkdir build
pushd build
cmake .. -DBUILD_STATIC_LIB=ON -DCMAKE_INSTALL_PREFIX=$CONDA_PREFIX -GNinja
ninja -v install
popd
# Build and run C API demo with static library
pushd demo/c-api/
mkdir build-c-api-dem... |
e9332511811504257f83d562b0c577864c3efdd0d0a88f9e628102c31c0a3a1e | Shell | 999 | 41 | #!/bin/bash
set -eu
thisd=$(dirname $0)
image="kaczmarj/neurodocker:0.9.1"
dcm2niix_version="v1.0.20260724"
if hash podman; then
OCI_BINARY=podman
elif hash docker; then
OCI_BINARY=docker
else
echo "ERROR: no podman or docker found" >&2
exit 1
fi
${OCI_BINARY:-docker} run --rm $image generate docke... |
9ad2474a5de05e451da8866caeacd76b73aaf862e1a0a39becb53ee7d613042a | Shell | 1,000 | 26 | #!/bin/bash -l
#SBATCH --job-name=heatmap
#SBATCH --nodes=1
#SBATCH --ntasks-per-node=12
#SBATCH --mem-per-cpu=40G
#SBATCH --time=01:00:00
#SBATCH -o ./logcorr/heatmap_%A_%a.o
#SBATCH -e ./logcorr/heatmap_%A_%a.e
#SBATCH --account=DBIC
#SBATCH --partition=standard
#SBATCH --array=1
conda activate spacetop_env
echo "SL... |
76ac24cbd0a7930f502947535c97cf95a018cf7163ceaae0b0da96b0cca5c276 | Shell | 1,008 | 24 | #!/bin/bash
BERT_BASE_DIR=/PATH/TO/BERT/VOCAB/FILE #modify this to bert or biobert folder containing a vocab.txt file
DATA_DIR=/PATH/TO/TOKENIZED/NOTES #modify this to be the path to the tokenized data
OUTPUT_DIR=/PATH/TO/OUTPUT/DIR # modify this to be your output directory path
#modify this to be the note type tha... |
9abddb5f3d14dd52f78c696793135dd056145537e4e9e0e86c015a461ec174df | Shell | 1,008 | 36 | #!/bin/bash
## Build XGBoost R package with GPU support and package it in a tarball.
## Users will be able to install it without having CTK installed
## (only a compatible NVIDIA driver is needed).
set -euo pipefail
if [[ "$#" -ne 1 ]]
then
echo "Build the R package tarball with CUDA code. Usage: $0 [commit hash]"... |
ed2f9b841bebd497336c1d1f95b1e1ddf0b565b9891df1d8666d98caa617e309 | Shell | 1,010 | 43 | #!/bin/bash
set -euox pipefail
if [[ "$#" -lt 1 ]]
then
echo "Usage: $0 {gpu,gpu-rmm,mgpu}"
exit 1
fi
suite=$1
source ops/pipeline/get-docker-registry-details.sh
source ops/pipeline/get-image-tag.sh
IMAGE_URI=${DOCKER_REGISTRY_URL}/xgb-ci.gpu:${IMAGE_TAG}
case "${suite}" in
gpu)
echo "--- Run Google Test... |
076b05353c119206e10cfdb216e7c846eb04dcaa28afdd6e85418af6c9764d16 | Shell | 1,024 | 9 | mmseqs align seqdb seqdb uc30_clu uc30_aln --comp-bias-corr 0 -a -c 0.95 --threads 128
mmseqs convertalis seqdb seqdb uc30_aln uc30_aln.m8 --format-output query,target,fident,alnlen,mismatch,gapopen,qstart,qend,tstart,tend,evalue,bits,qseq,tseq --threads 16
awk '$1!=prev && $3 < 0.4 {print; prev=$1}' uc30_aln.m8 | shuf... |
2686d5302be2f21d19f488ae5c73d36cb9be34af52bc6814ff7b9e3d2ad8520d | Shell | 1,024 | 46 | #!/bin/sh
set -e
#
# This script is supposed to run inside the PoMiDAQ Docker container
# on the CI system.
#
build_shell=""
if [ ! -z "$1" ]
then
echo "Interactive shell at step: $1"
build_shell="--build-shell=$1"
fi
set -x
FLATPAK_REMOTE_URL="https://flathub.org/repo/flathub.flatpakrepo"
FLATPAK_REMOTE_NAME="flat... |
5cce661b30044c037963142dbab016a680edc2ed5f4027389676b6ad92025281 | Shell | 1,025 | 43 | #!/bin/bash
set -eo pipefail
if [[ "$1" == "" ]] ; then
echo "Usage: $0 <PROJECT_PATH>"
exit 1
fi
PROJECT_PATH="$1"
if [[ "$ARCH" == "ARM64" ]]; then
export ZLIB_ROOT="$PROJECT_PATH/zlib-win-arm64"
elif [[ "$ARCH" == "AMD64" ]]; then
export ZLIB_ROOT="$PROJECT_PATH/zlib-win-x64"
else
echo "Got un... |
5d71356aec684e08b01b51e73e740b4af37960911abe28868560a4cfb0d0a985 | Shell | 1,025 | 44 | #!/usr/bin/bash
t=4
max_mem=400g
export JAVA_TOOL_OPTIONS="-Xmx$max_mem"
sample_list=(test)
ln -s ../porechop_abi/test.trimmed.fastq.gz test.fastq.gz
for s in ${sample_list[@]}
do
fastq_list+=($s.fastq.gz)
done
/usr/bin/time rnabloom -t $t -outdir rnabloom_out -long ${fastq_list[@]} >rnabloom.stdout 2>rnabloom.... |
d737f506e9608bbea34b8c8262cf0bf9eff4671472df0d33540ce473ffb5aac3 | Shell | 1,025 | 1 | ./run.sh julia src/exp_basic_marg.jl 1/wind_0.5_2.0 mass 1_drape_0.5_0.03125_63 0.29469912742565196_0.3639933412469394_0.2826922726934101_0.15027588418013524_0.37086854783794665_0.3653582098383502_0.3244546899716294_0.36655092295178415_0.1902712284697996_0.7078223574806572_0.3480638565154783_0.19341453811604672_0.35915... |
cb3387978a509452dab60435fea961a477f9bc2db89ee6c3ab08626bfc7fc986 | Shell | 1,026 | 31 | #!/bin/sh
#
# Copyright 2011, Ben Langmead <langmea@cs.jhu.edu>
#
# This file is part of Bowtie 2.
#
# Bowtie 2 is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your o... |
ee51ff7818430b1c590c5b85db8bcccef916ae9d084910d64cde160ec67d6a20 | Shell | 1,029 | 31 | #!/bin/sh
# Ensure that gzip interprets "-" as stdin.
# Copyright (C) 2009-2016 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, ... |
517b73795ff359095061576bb68b2c6602e5f29f44b9ebe163ef0faa018620fe | Shell | 1,031 | 13 | samtools view -b -s 0.001 220308_ang_0.sorted.bam -o /private/groups/brookslab/gabai/tools/NEMO/test/input/ang_0.sorted.bam
samtools view -b -s 0.001 220308_ang_500.sorted.bam -o /private/groups/brookslab/gabai/tools/NEMO/test/input/ang_500.sorted.bam
samtools view -b -s 0.001 20210615_0802_chrom.sorted.bam -o /private... |
822a8ced614dd2739d699a5a27aeaf81fc3c0acd0c82d152b310cfebef4064be | Shell | 1,032 | 31 | #!/bin/sh
# Exercise the --list option.
# Copyright 2016 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) a... |
15cb6a92f42d5396810fff33a4852208cff26b8cc48377cfd0aaff9c57f0be8e | Shell | 1,037 | 20 | #!/bin/bash
#SBATCH --job-name=bc210615chrom
#SBATCH --ntasks=1
#SBATCH --cpus-per-task=2
#SBATCH --nodes=1
#SBATCH --gres=gpu:2
#SBATCH --time=240
#SBATCH --mem=100G
#SBATCH --partition=gpu
#SBATCH --error=/private/groups/brookslab/gabai/projects/Add-seq/scripts/sbatch/log/lsf_%j_%x.err # error file
#SBATCH --out... |
d4039aa9a9036c9c5036bb93466984ff52df114c54f3ff5f68cc021f5ca5e068 | Shell | 1,037 | 46 | #!/bin/bash
host_port=8888
while getopts ":d:s:p:" Option
do
case $Option in
d ) dataset_dir=$OPTARG;;
s ) sequencing_dir=$OPTARG;;
p ) host_port=$OPTARG;;
* ) echo "invalid option specified"; exit 1;;
esac
done
error=0
mounts=""
if [ -d "$dataset_dir" ]; then
mounts="$moun... |
96c877715bac0fc93509e503d1908566450e74af615982ef3a43ef762ae294c9 | Shell | 1,038 | 43 | #!/bin/bash
echo "===== Installing DECLUST dependencies ====="
# Step 0: Check for conda
if ! command -v conda &> /dev/null
then
echo "conda not found. Please install Miniconda or Anaconda first."
exit 1
fi
conda config --add channels defaults
conda config --add channels conda-forge
# Step 1: Install R
echo... |
64cb463b4eaedf33bd96c4cf90e877a4973129d8100ee5dca70637be160c9da0 | Shell | 1,049 | 39 | #!/bin/bash
## Deploy JVM packages to S3 bucket
## Companion script for ops/pipeline/deploy-jvm-packages.sh
set -euox pipefail
if [[ "$#" -lt 2 ]]
then
echo "Usage: $0 {cpu,gpu} [scala_version]"
exit 1
fi
variant="$1"
scala_version="$2"
maven_options="-DskipTests -Dmaven.test.skip=true -Dskip.native.build=true"
... |
8d08710e37843f9265eb2235920b7c43605cef180adc941528031650ad212cb2 | Shell | 1,051 | 55 | #!/bin/bash -e
usage() { echo "Usage: $0 [-a <gtf_file>] [-s <star_index] [-o <out_dir>] [-m <miniconda_install_dir>] <rd1_fastq_gz|sample_csv> [<rd2_fastq_gz>]" 1>&2; exit 1; }
out_dir=corall_out
miniconda_install_dir=~/miniconda3
while getopts ":a:s:o:m:" o; do
case "${o}" in
a)
gtf_file=${... |
ab5ba52b2557289c47a8364eaf75bdb7f09690ab902ef07c2a9c6e837e4a1fe0 | Shell | 1,054 | 45 | #!/bin/bash
set -e
#
# This script will create the PoMiDAQ Debian package & upload it to the PPA
#
TARGET_SUITE="resolute"
set -x
mkdir -p __ppa-pkg-build
cd __ppa-pkg-build
# create clean source copy from current Git tree
mkdir -p pomidaq
git -C "$(git rev-parse --show-toplevel)" archive HEAD | tar -x -C ./pomidaq... |
bd9474f23b0aa70518ed755b2996cd72ab584128ffebef169c73bef7c607a7f2 | Shell | 1,067 | 43 | #!/bin/bash
## softwares
samtools="/opt/ohpc/Taiwania3/pkg/biology/SAMTOOLS/SAMTOOLS_v1.13/bin/samtools"
STAR="/opt/ohpc/Taiwania3/pkg/biology/STAR/STAR_v2.7.9a/bin/Linux_x86_64/STAR"
## Constants
gCHM13="/staging/biology/ls807terra/0_genomes/star_index/CHM13_human"
## Inputs
fq_path=$1
## User varibles
ncore=$2
oP... |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.